# Generated by Django 4.1.2 on 2022-11-16 11:24

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Discussion',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('topic', models.CharField(max_length=1500, verbose_name='Topic of discussion')),
                ('description', models.TextField(blank=True, null=True, verbose_name='Description')),
                ('date', models.DateTimeField(auto_now_add=True, verbose_name='Date')),
                ('type', models.CharField(choices=[('Group meeting', 'Group meeting'), ('One-on-one conversation', 'One-on-one conversation')], default='Group meeting', max_length=30, verbose_name='Type of discussion')),
                ('category', models.CharField(choices=[('Business meeting', 'Business meeting'), ('Formal meeting', 'Formal meeting')], default='Formal meeting', max_length=30, verbose_name='Category of discussion')),
            ],
            options={
                'verbose_name': 'Discussion',
                'verbose_name_plural': 'Discussions',
            },
        ),
    ]
